//************************************************************************
//
// @brief   x86 CPU characteristics
// @author  Vadim Mezhlumov
//
//************************************************************************
#pragma once


// ----------------------------------------------------------------------------
// Constants
// ----------------------------------------------------------------------------

    #define USB_MAX_ENDPOINTS           0


// ----------------------------------------------------------------------------
// Types
// ----------------------------------------------------------------------------

    typedef enum
    {
        IRQ_NONE        = 0,
        IRQ_MAX_COUNT
    } TX86Irq;

    typedef uint32 TGpio;
